Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class DomComment

    java.lang.Object
      |
      +--gnu.xml.dom.DomNode
            |
            +--gnu.xml.dom.DomCharacterData
                  |
                  +--gnu.xml.dom.DomComment

All Implemented Interfaces:
  CharacterData, java.lang.Cloneable, Comment, DocumentEvent, EventTarget, Node, NodeList

public class DomComment
extends DomCharacterData
implements Comment

"Comment" implementation. Comments hold data intended for direct consumption by people; programs should only use ProcessingInstruction nodes. Note that since SAX makes comment reporting optional, XML systems that rely on comments (such as by using this class) will often lose those comments at some point in the processing pipeline.

Version:
  $Date: 2001/11/20 04:53:46 $
Author:
  David Brownell

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `DomComment(Document owner, java.lang.String value)` Constructs a comment node associated with the specified document and holding the specified data.

Method Summary
`java.lang.String` | `getNodeName()` DOM L1 Returns the string "#comment".
`short` | `getNodeType()` DOM L1 Returns the constant COMMENT_NODE.

Methods inherited from class gnu.xml.dom.DomCharacterData
`appendData, deleteData, getChildNodes, getData, getLength, getNodeValue, insertData, replaceData, setData, setNodeValue, substringData`

Methods inherited from class gnu.xml.dom.DomNode
`addEventListener, appendChild, clone, cloneNode, compact, createEvent, dispatchEvent, getAttributes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isReadonly, isSupported, item, makeReadonly, nameAndTypeEquals, normalize, removeChild, removeEventListener, replaceChild, setPrefix, trimToSize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### DomComment

    protected DomComment(Document owner,
                         java.lang.String value)

  Constructs a comment node associated with the specified document and holding the specified data.

  This constructor should only be invoked by a Document as part of its createComment functionality, or through a subclass which is similarly used in a "Sub-DOM" style layer.

Method Detail

### getNodeName

    public final java.lang.String getNodeName()

  DOM L1 Returns the string "#comment".
  Specified by:
    `getNodeName` in interface `Node`

### getNodeType

    public final short getNodeType()

  DOM L1 Returns the constant COMMENT_NODE.
  Specified by:
    `getNodeType` in interface `Node`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.